Subject: bug#62164: 29.0.60; ediff behaves poorly by default on tiling window managers

From: [email-masked]
Date: Sun, 02 Apr 2023 11:33:55 +0000 (UTC)

Po Lu <[email-masked]> writes:
> I think it is fine to make it a user option, but not the default.  BTW,
> it is generally The Right Thing to bind `x-fast-protocol-requests' to t
> around functions which make X requests when those functions are not
> being debugged.

Okay, is there any other patch in this direction which you think would
be an acceptable default?

I think you may not realize how universal the (setq
ediff-window-setup-function 'ediff-setup-windows-plain) configuration
is, all because multi-frame ediff behaves poorly on certain window
managers, I've seen it in many different configuration sources.  My
motivation is to make that line of configuration no longer necessary, by
making things work better, if not absolutely right, by default.  Just
replacing it with another bit of configuration is much less satisfying.